<?php

namespace App\Filament\Resources\ChargesPotentielleProfs;

use App\Filament\Resources\ChargesPotentielleProfs\Pages\CreateChargesPotentielleProf;
use App\Filament\Resources\ChargesPotentielleProfs\Pages\EditChargesPotentielleProf;
use App\Filament\Resources\ChargesPotentielleProfs\Pages\ListChargesPotentielleProfs;
use App\Filament\Resources\ChargesPotentielleProfs\Schemas\ChargesPotentielleProfForm;
use App\Filament\Resources\ChargesPotentielleProfs\Tables\ChargesPotentielleProfsTable;
use App\Models\ChargesPotentielleProf;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class ChargesPotentielleProfResource extends Resource
{
    protected static ?string $model = ChargesPotentielleProf::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return ChargesPotentielleProfForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return ChargesPotentielleProfsTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListChargesPotentielleProfs::route('/'),
            'create' => CreateChargesPotentielleProf::route('/create'),
            'edit' => EditChargesPotentielleProf::route('/{record}/edit'),
        ];
    }
}
